\begin{lstlisting}[style=XHTML, caption=Ausschnitt von \textit{template.xhtml}, label=code:template-view]
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
<h:head><title>OmniDoc</title></h:head>
<h:body>
    ...
    <p:sidebar id="menu-side-ajax" widgetVar="pf-menu-side">
        <h1>OmniDoc</h1>
        <h:form>
            <p:menu model="#{templateController.model}"/>
        </h:form>
    </p:sidebar>
    ...
</h:body>
</html>
\end{lstlisting}